Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::unsupported_interface Class Reference
[Nodes]

List of all members.

## Detailed Description

Exception to indicate that a node interface is not supported.

This exception is thrown by node::event_listener and node::event_emitter to indicate that the node doesn't support the interface through which the caller is trying to modify the node. It is also thrown by node_class::create_type if the class object doesn't support an interface specified in the node_interface_set given to that method.

## Public Member Functions

| unsupported_interface (const node_interface &interface) throw ()
| Construct.
| unsupported_interface (const node_type &type, const std::string &interface_id) throw ()
| Construct.
| unsupported_interface (const node_type &type, node_interface::type_id interface_type, const std::string &interface_id) throw ()
| Construct.
virtual | ~unsupported_interface () throw ()
| Destroy.

## Constructor & Destructor Documentation

openvrml::unsupported_interface::unsupported_interface | ( | const node_interface & | interface | ) | throw ()`[explicit]`

Construct.

Parameters:

  | interface | a node_interface.

openvrml::unsupported_interface::unsupported_interface | ( | const node_type & | type,
|  | const std::string & | interface_id
| ) | throw ()

Construct.

Parameters:

  | type | the node type.
  | interface_id | the name of the interface that is not available.

openvrml::unsupported_interface::unsupported_interface | ( | const node_type & | type,
|  | node_interface::type_id | interface_type,
|  | const std::string & | interface_id
| ) | throw ()

Construct.

Parameters:

  | type | the node type.
  | interface_type | the type of the interface that is not available.
  | interface_id | the name of the interface that is not available.

openvrml::unsupported_interface::~unsupported_interface | ( |  | ) | throw ()`[virtual]`

| Destroy.